SDL_wcslen(3)

NAME
SDL_wcslen - This works exactly like wcslen() but doesn't require access to a C runtime.

HEADER FILE
Defined in SDL3/SDL_stdinc.h

SYNOPSIS
#include "SDL3/SDL.h"

size_t SDL_wcslen(const wchar_t *wstr);

DESCRIPTION
Counts the number of wchar_t values in wstr , excluding the null terminator.

Like SDL_strlen
 only counts bytes and not codepoints in a UTF-8 string, this counts wchar_t values in a string, even if the string's encoding is of variable width, like UTF-16.

Also be aware that wchar_t is different sizes on different platforms (4 bytes on Linux, 2 on Windows, etc).

FUNCTION PARAMETERS

wstr
    The null-terminated wide string to read. Must not be NULL.

RETURN VALUE
Returns the length (in wchar_t values, excluding the null terminator) of wstr .

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_wcsnlen(3), •(3), SDL_utf8strlen(3), •(3), SDL_utf8strnlen(3)